[Snort-users] Problem patching Snort

Antonio Eugenio Villar eugeniovillar at ...131...
Fri Apr 16 17:18:01 EDT 2004


Well I got this problem also. It seems the script
patchsnort is not seting the correct version. In my
case I was using snort 2.1.0. To solve the problem I
just included a line 'snortversion="2.0"' before line
'case $(snortversion) in' to force it to recognize my
snort version. I do not remember if I had to change
something else but try and let me know if it works.




--- Frank Knobbe <frank at ...9761...> wrote:
> On Fri, 2004-04-16 at 11:31, d.deboni at ...11639...
> wrote:
> > When I try to patch snort with this file
> >
>
http://www.snortsam.net/files/snort-plugin/snortsam-patch.tar.gz
> > ./patchsnort.sh /usr/local/snort-2.1.2/src
> > 
> > 
> > 
> > But I get this error message:
> > 
> > Patching Snort version 1.8...
> > patching file spo_alert_fwsam.c
> > patching file spo_alert_fwsam.h
> > patching file twofish.c
> > patching file twofish.h
> > patching file plugbase.c
> > Hunk #1 FAILED at 105.
> > 1 out of 1 hunk FAILED -- saving rejects to file
> plugbase.c.rej
> > patching file plugbase.h
> > Hunk #1 FAILED at 67.
> > 1 out of 1 hunk FAILED -- saving rejects to file
> plugbase.h.rej
> > Patching Makefiles...
> > Done
> 
> 
> I don't get those reject files. It patches cleanly
> for me. Please see
> the email I sent you privately. Do a fresh CVS
> checkout of Snort, CVS
> checkout the snort-plugin from Snortsam, then patch.
> Builds cleanly
> here.
> 
> Regards,
> Frank
> 
> -- 
> Warning at the Gates of Bill:  
> Abandon hope, all ye who press <ENTER> here...
> 
> 

> ATTACHMENT part 2 application/pgp-signature
name=signature.asc



	
		
__________________________________
Do you Yahoo!?
Yahoo! Tax Center - File online by April 15th
http://taxes.yahoo.com/filing.html




More information about the Snort-users mailing list